class AssignedEmployee {
  AssignedEmployee({
    this.id,
    this.name,
  });

  AssignedEmployee.fromJson(dynamic json) {
    id = json['id'];
    name = json['name'];
  }

  String? id; // Now nullable
  String? name; // Now nullable

  AssignedEmployee copyWith({
    String? id, // Parameters are now nullable
    String? name,
  }) =>
      AssignedEmployee(
        id: id ?? this.id,
        name: name ?? this.name,
      );

  Map<String, dynamic> toJson() {
    final map = <String, dynamic>{};
    map['id'] = id;
    map['name'] = name;
    return map;
  }
}
